%
% Status : main Dynare file
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

if isoctave || matlab_ver_less_than('8.6')
    clear all
else
    clearvars -global
    clear_persistent_variables(fileparts(which('dynare')), false)
end
tic0 = tic;
% Save empty dates and dseries objects in memory.
dates('initialize');
dseries('initialize');
% Define global variables.
global M_ options_ oo_ estim_params_ bayestopt_ dataset_ dataset_info estimation_info ys0_ ex0_
options_ = [];
M_.fname = 'OS_1C_Mod_simul';
M_.dynare_version = '4.5.7';
oo_.dynare_version = '4.5.7';
options_.dynare_version = '4.5.7';
%
% Some global variables initialization
%
global_initialization;
diary off;
diary('OS_1C_Mod_simul.log');
M_.exo_names = 'shock_epsi_a_t';
M_.exo_names_tex = 'shock\_epsi\_a\_t';
M_.exo_names_long = 'shock_epsi_a_t';
M_.exo_names = char(M_.exo_names, 'shock_carb_int_a_t');
M_.exo_names_tex = char(M_.exo_names_tex, 'shock\_carb\_int\_a\_t');
M_.exo_names_long = char(M_.exo_names_long, 'shock_carb_int_a_t');
M_.exo_names = char(M_.exo_names, 'shock_P_EM_a_t');
M_.exo_names_tex = char(M_.exo_names_tex, 'shock\_P\_EM\_a\_t');
M_.exo_names_long = char(M_.exo_names_long, 'shock_P_EM_a_t');
M_.endo_names = 'C_a_t';
M_.endo_names_tex = 'C\_a\_t';
M_.endo_names_long = 'C_a_t';
M_.endo_names = char(M_.endo_names, 'I_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'I\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'I_a_t');
M_.endo_names = char(M_.endo_names, 'N_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'N\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'N_a_t');
M_.endo_names = char(M_.endo_names, 'K_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'K\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'K_a_t');
M_.endo_names = char(M_.endo_names, 'w_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'w\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'w_a_t');
M_.endo_names = char(M_.endo_names, 'rk_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'rk\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'rk_a_t');
M_.endo_names = char(M_.endo_names, 'lambda_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'lambda\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'lambda_a_t');
M_.endo_names = char(M_.endo_names, 'Y_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'Y\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'Y_a_t');
M_.endo_names = char(M_.endo_names, 'R_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'R\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'R_a_t');
M_.endo_names = char(M_.endo_names, 'pi_cpi_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'pi\_cpi\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'pi_cpi_a_t');
M_.endo_names = char(M_.endo_names, 'pi_ppi_a_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'pi\_ppi\_a\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'pi_ppi_a_a_t');
M_.endo_names = char(M_.endo_names, 'mc_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'mc\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'mc_a_t');
M_.endo_names = char(M_.endo_names, 'epsi_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'epsi\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'epsi_a_t');
M_.endo_names = char(M_.endo_names, 'profits_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'profits\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'profits_a_t');
M_.endo_names = char(M_.endo_names, 'P_EM_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'P\_EM\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'P_EM_a_t');
M_.endo_names = char(M_.endo_names, 'ZZ_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'ZZ\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'ZZ_a_t');
M_.endo_names = char(M_.endo_names, 'Pen_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'Pen\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'Pen_a_t');
M_.endo_names = char(M_.endo_names, 'EM_cost_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'EM\_cost\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'EM_cost_a_t');
M_.endo_names = char(M_.endo_names, 'mc_tild_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'mc\_tild\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'mc_tild_a_t');
M_.endo_names = char(M_.endo_names, 'EM_a_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'EM\_a\_t');
M_.endo_names_long = char(M_.endo_names_long, 'EM_a_t');
M_.endo_names = char(M_.endo_names, 'EM_t');
M_.endo_names_tex = char(M_.endo_names_tex, 'EM\_t');
M_.endo_names_long = char(M_.endo_names_long, 'EM_t');
M_.endo_partitions = struct();
M_.param_names = 'C_a_ts';
M_.param_names_tex = 'C\_a\_ts';
M_.param_names_long = 'C_a_ts';
M_.param_names = char(M_.param_names, 'I_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'I\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'I_a_ts');
M_.param_names = char(M_.param_names, 'N_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'N\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'N_a_ts');
M_.param_names = char(M_.param_names, 'K_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'K\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'K_a_ts');
M_.param_names = char(M_.param_names, 'w_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'w\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'w_a_ts');
M_.param_names = char(M_.param_names, 'rk_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'rk\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'rk_a_ts');
M_.param_names = char(M_.param_names, 'lambda_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'lambda\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'lambda_a_ts');
M_.param_names = char(M_.param_names, 'Y_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'Y\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'Y_a_ts');
M_.param_names = char(M_.param_names, 'R_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'R\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'R_a_ts');
M_.param_names = char(M_.param_names, 'pi_cpi_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'pi\_cpi\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'pi_cpi_a_ts');
M_.param_names = char(M_.param_names, 'pi_ppi_a_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'pi\_ppi\_a\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'pi_ppi_a_a_ts');
M_.param_names = char(M_.param_names, 'mc_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'mc\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'mc_a_ts');
M_.param_names = char(M_.param_names, 'epsi_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'epsi\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'epsi_a_ts');
M_.param_names = char(M_.param_names, 'profits_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'profits\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'profits_a_ts');
M_.param_names = char(M_.param_names, 'P_EM_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'P\_EM\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'P_EM_a_ts');
M_.param_names = char(M_.param_names, 'ZZ_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'ZZ\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'ZZ_a_ts');
M_.param_names = char(M_.param_names, 'Pen_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'Pen\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'Pen_a_ts');
M_.param_names = char(M_.param_names, 'EM_cost_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'EM\_cost\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'EM_cost_a_ts');
M_.param_names = char(M_.param_names, 'mc_tild_a_ts');
M_.param_names_tex = char(M_.param_names_tex, 'mc\_tild\_a\_ts');
M_.param_names_long = char(M_.param_names_long, 'mc_tild_a_ts');
M_.param_names = char(M_.param_names, 'kappaN_a');
M_.param_names_tex = char(M_.param_names_tex, 'kappaN\_a');
M_.param_names_long = char(M_.param_names_long, 'kappaN_a');
M_.param_names = char(M_.param_names, 'lab_a');
M_.param_names_tex = char(M_.param_names_tex, 'lab\_a');
M_.param_names_long = char(M_.param_names_long, 'lab_a');
M_.param_names = char(M_.param_names, 'rho_eps_a');
M_.param_names_tex = char(M_.param_names_tex, 'rho\_eps\_a');
M_.param_names_long = char(M_.param_names_long, 'rho_eps_a');
M_.param_names = char(M_.param_names, 'alphaN_a');
M_.param_names_tex = char(M_.param_names_tex, 'alphaN\_a');
M_.param_names_long = char(M_.param_names_long, 'alphaN_a');
M_.param_names = char(M_.param_names, 'thetap_a');
M_.param_names_tex = char(M_.param_names_tex, 'thetap\_a');
M_.param_names_long = char(M_.param_names_long, 'thetap_a');
M_.param_names = char(M_.param_names, 'kappap_a');
M_.param_names_tex = char(M_.param_names_tex, 'kappap\_a');
M_.param_names_long = char(M_.param_names_long, 'kappap_a');
M_.param_names = char(M_.param_names, 'gama0_a');
M_.param_names_tex = char(M_.param_names_tex, 'gama0\_a');
M_.param_names_long = char(M_.param_names_long, 'gama0_a');
M_.param_names = char(M_.param_names, 'gama1_a');
M_.param_names_tex = char(M_.param_names_tex, 'gama1\_a');
M_.param_names_long = char(M_.param_names_long, 'gama1_a');
M_.param_names = char(M_.param_names, 'gama2_a');
M_.param_names_tex = char(M_.param_names_tex, 'gama2\_a');
M_.param_names_long = char(M_.param_names_long, 'gama2_a');
M_.param_names = char(M_.param_names, 'carb_int_a');
M_.param_names_tex = char(M_.param_names_tex, 'carb\_int\_a');
M_.param_names_long = char(M_.param_names_long, 'carb_int_a');
M_.param_names = char(M_.param_names, 'taylor_r');
M_.param_names_tex = char(M_.param_names_tex, 'taylor\_r');
M_.param_names_long = char(M_.param_names_long, 'taylor_r');
M_.param_names = char(M_.param_names, 'taylor_pi');
M_.param_names_tex = char(M_.param_names_tex, 'taylor\_pi');
M_.param_names_long = char(M_.param_names_long, 'taylor_pi');
M_.param_names = char(M_.param_names, 'taylor_dy');
M_.param_names_tex = char(M_.param_names_tex, 'taylor\_dy');
M_.param_names_long = char(M_.param_names_long, 'taylor_dy');
M_.param_names = char(M_.param_names, 'sig');
M_.param_names_tex = char(M_.param_names_tex, 'sig');
M_.param_names_long = char(M_.param_names_long, 'sig');
M_.param_names = char(M_.param_names, 'delta');
M_.param_names_tex = char(M_.param_names_tex, 'delta');
M_.param_names_long = char(M_.param_names_long, 'delta');
M_.param_names = char(M_.param_names, 'betta');
M_.param_names_tex = char(M_.param_names_tex, 'betta');
M_.param_names_long = char(M_.param_names_long, 'betta');
M_.param_names = char(M_.param_names, 'rho_EM');
M_.param_names_tex = char(M_.param_names_tex, 'rho\_EM');
M_.param_names_long = char(M_.param_names_long, 'rho_EM');
M_.param_names = char(M_.param_names, 'tfp_shocksize');
M_.param_names_tex = char(M_.param_names_tex, 'tfp\_shocksize');
M_.param_names_long = char(M_.param_names_long, 'tfp_shocksize');
M_.param_names = char(M_.param_names, 'EM_ts');
M_.param_names_tex = char(M_.param_names_tex, 'EM\_ts');
M_.param_names_long = char(M_.param_names_long, 'EM_ts');
M_.param_partitions = struct();
M_.exo_det_nbr = 0;
M_.exo_nbr = 3;
M_.endo_nbr = 21;
M_.param_nbr = 38;
M_.orig_endo_nbr = 21;
M_.aux_vars = [];
M_.Sigma_e = zeros(3, 3);
M_.Correlation_matrix = eye(3, 3);
M_.H = 0;
M_.Correlation_matrix_ME = 1;
M_.sigma_e_is_diagonal = 1;
M_.det_shocks = [];
options_.block=0;
options_.bytecode=0;
options_.use_dll=0;
M_.hessian_eq_zero = 1;
erase_compiled_function('OS_1C_Mod_simul_static');
erase_compiled_function('OS_1C_Mod_simul_dynamic');
M_.orig_eq_nbr = 21;
M_.eq_nbr = 21;
M_.ramsey_eq_nbr = 0;
M_.set_auxiliary_variables = exist(['./' M_.fname '_set_auxiliary_variables.m'], 'file') == 2;
M_.lead_lag_incidence = [
 0 6 0;
 0 7 0;
 0 8 0;
 1 9 0;
 0 10 0;
 0 11 27;
 0 12 28;
 2 13 29;
 3 14 0;
 0 15 30;
 0 16 31;
 0 17 0;
 4 18 0;
 0 19 0;
 0 20 0;
 0 21 0;
 0 22 0;
 0 23 0;
 0 24 0;
 5 25 0;
 0 26 0;]';
M_.nstatic = 12;
M_.nfwrd   = 4;
M_.npred   = 4;
M_.nboth   = 1;
M_.nsfwrd   = 5;
M_.nspred   = 5;
M_.ndynamic   = 9;
M_.equations_tags = {
};
M_.static_and_dynamic_models_differ = 0;
M_.exo_names_orig_ord = [1:3];
M_.maximum_lag = 1;
M_.maximum_lead = 1;
M_.maximum_endo_lag = 1;
M_.maximum_endo_lead = 1;
oo_.steady_state = zeros(21, 1);
M_.maximum_exo_lag = 0;
M_.maximum_exo_lead = 0;
oo_.exo_steady_state = zeros(3, 1);
M_.params = NaN(38, 1);
M_.NNZDerivatives = [80; -1; -1];
M_.params( 35 ) = 0.992;
betta = M_.params( 35 );
M_.params( 33 ) = 2;
sig = M_.params( 33 );
M_.params( 34 ) = 0.025;
delta = M_.params( 34 );
M_.params( 30 ) = 0.8;
taylor_r = M_.params( 30 );
M_.params( 32 ) = 0.15;
taylor_dy = M_.params( 32 );
M_.params( 31 ) = 1.5;
taylor_pi = M_.params( 31 );
M_.params( 8 ) = 1;
Y_a_ts = M_.params( 8 );
set_param_value('tfp_shocksize', tfp_shocksize);
M_.params( 10 ) = 1;
pi_cpi_a_ts = M_.params( 10 );
M_.params( 11 ) = 1;
pi_ppi_a_a_ts = M_.params( 11 );
M_.params( 22 ) = 0.8;
rho_eps_a = M_.params( 22 );
M_.params( 21 ) = 2;
lab_a = M_.params( 21 );
M_.params( 3 ) = 0.3538;
N_a_ts = M_.params( 3 );
M_.params( 6 ) = 1/M_.params(35)-(1-M_.params(34));
rk_a_ts = M_.params( 6 );
M_.params( 9 ) = 1/M_.params(35);
R_a_ts = M_.params( 9 );
M_.params( 36 ) = 0.002099999999999991;
rho_EM = M_.params( 36 );
M_.params( 15 ) = 1.000000000000001e-007;
P_EM_a_ts = M_.params( 15 );
M_.params( 29 ) = 0.3538;
carb_int_a = M_.params( 29 );
M_.params( 27 ) = 0;
gama1_a = M_.params( 27 );
M_.params( 28 ) = 0;
gama2_a = M_.params( 28 );
M_.params( 17 ) = 0;
Pen_a_ts = M_.params( 17 );
M_.params( 23 ) = 0.67;
alphaN_a = M_.params( 23 );
M_.params( 25 ) = 75;
kappap_a = M_.params( 25 );
M_.params( 24 ) = 3.597402597402597;
thetap_a = M_.params( 24 );
M_.params( 18 ) = M_.params(15)*M_.params(29);
EM_cost_a_ts = M_.params( 18 );
M_.params( 19 ) = (M_.params(24)-1)/M_.params(24);
mc_tild_a_ts = M_.params( 19 );
M_.params( 12 ) = M_.params(19)-M_.params(18);
mc_a_ts = M_.params( 12 );
M_.params( 4 ) = (1-M_.params(23))*M_.params(12)*M_.params(8)/M_.params(6);
K_a_ts = M_.params( 4 );
M_.params( 2 ) = M_.params(34)*M_.params(4);
I_a_ts = M_.params( 2 );
M_.params( 1 ) = M_.params(8)-M_.params(2);
C_a_ts = M_.params( 1 );
M_.params( 16 ) = M_.params(29)*M_.params(8);
ZZ_a_ts = M_.params( 16 );
EM_a_ts = ( ZZ_a_ts)/rho_EM;
M_.params( 38 ) = EM_a_ts;
EM_ts = M_.params( 38 );
M_.params( 26 ) = M_.params(17)-EM_a_ts*M_.params(27)-M_.params(28)*EM_a_ts^2;
gama0_a = M_.params( 26 );
M_.params( 5 ) = M_.params(8)*M_.params(23)*M_.params(12)/M_.params(3);
w_a_ts = M_.params( 5 );
M_.params( 14 ) = M_.params(8)-M_.params(6)*M_.params(4)-M_.params(3)*M_.params(5)-M_.params(15)*M_.params(29)*M_.params(8);
profits_a_ts = M_.params( 14 );
M_.params( 1 ) = M_.params(6)*M_.params(4)+M_.params(3)*M_.params(5)+M_.params(18)*M_.params(8)+M_.params(14)-M_.params(2);
C_a_ts = M_.params( 1 );
M_.params( 13 ) = M_.params(8)/((1-M_.params(17))*M_.params(3)^M_.params(23)*M_.params(4)^(1-M_.params(23)));
epsi_a_ts = M_.params( 13 );
M_.params( 7 ) = M_.params(1)^(-M_.params(33));
lambda_a_ts = M_.params( 7 );
M_.params( 20 ) = M_.params(5)*M_.params(7)/M_.params(3)^M_.params(21);
kappaN_a = M_.params( 20 );
%
% INITVAL instructions
%
options_.initval_file = 0;
oo_.steady_state( 1 ) = M_.params(1);
oo_.steady_state( 2 ) = M_.params(2);
oo_.steady_state( 3 ) = M_.params(3);
oo_.steady_state( 4 ) = M_.params(4);
oo_.steady_state( 5 ) = M_.params(5);
oo_.steady_state( 6 ) = M_.params(6);
oo_.steady_state( 7 ) = M_.params(7);
oo_.steady_state( 8 ) = M_.params(8);
oo_.steady_state( 9 ) = M_.params(9);
oo_.steady_state( 10 ) = M_.params(10);
oo_.steady_state( 12 ) = M_.params(12);
oo_.steady_state( 13 ) = M_.params(13);
oo_.steady_state( 15 ) = M_.params(15);
oo_.steady_state( 16 ) = M_.params(16);
oo_.steady_state( 17 ) = M_.params(17);
oo_.steady_state( 18 ) = M_.params(18);
oo_.steady_state( 19 ) = M_.params(19);
oo_.steady_state( 20 ) = EM_a_ts;
oo_.steady_state( 11 ) = M_.params(11);
oo_.steady_state( 14 ) = M_.params(14);
oo_.steady_state( 21 ) = M_.params(38);
if M_.exo_nbr > 0
	oo_.exo_simul = ones(M_.maximum_lag,1)*oo_.exo_steady_state';
end
if M_.exo_det_nbr > 0
	oo_.exo_det_simul = ones(M_.maximum_lag,1)*oo_.exo_det_steady_state';
end
resid(1);
steady;
oo_.dr.eigval = check(M_,options_,oo_);
%
% SHOCKS instructions
%
M_.exo_det_length = 0;
M_.Sigma_e(1, 1) = (M_.params(37))^2;
options_.order = 1;
var_list_ = char('Y_a_t','C_a_t','epsi_a_t','N_a_t','I_a_t','pi_cpi_a_t','Pen_a_t','EM_cost_a_t','ZZ_a_t','R_a_t');
info = stoch_simul(var_list_);
save('OS_1C_Mod_simul_results.mat', 'oo_', 'M_', 'options_');
if exist('estim_params_', 'var') == 1
  save('OS_1C_Mod_simul_results.mat', 'estim_params_', '-append');
end
if exist('bayestopt_', 'var') == 1
  save('OS_1C_Mod_simul_results.mat', 'bayestopt_', '-append');
end
if exist('dataset_', 'var') == 1
  save('OS_1C_Mod_simul_results.mat', 'dataset_', '-append');
end
if exist('estimation_info', 'var') == 1
  save('OS_1C_Mod_simul_results.mat', 'estimation_info', '-append');
end
if exist('dataset_info', 'var') == 1
  save('OS_1C_Mod_simul_results.mat', 'dataset_info', '-append');
end
if exist('oo_recursive_', 'var') == 1
  save('OS_1C_Mod_simul_results.mat', 'oo_recursive_', '-append');
end


disp(['Total computing time : ' dynsec2hms(toc(tic0)) ]);
if ~isempty(lastwarn)
  disp('Note: warning(s) encountered in MATLAB/Octave code')
end
diary off
