%% Housekeeping
clear all;
close all;
clc;

%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Specify and solve model
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tfp_shocksize = 0.01; %initialize at some value
dynare OS_1C_Mod.mod noclearall;
load('conditional_forecasts.mat', 'forecasts');
tfp_shocksize = forecasts.controlled_exo_variables.Mean.shock_epsi_a_t(1); 

%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Auxiliary step: Not necessary in general, but convenient for the
% simulation considered here. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dynare OS_1C_Mod_simul.mod;

% Save the results
Save_Results;
