//************************************************************
// 
// Basic RBC model
//   
//************************************************************

@#define country    = ["a"]

@#include "Vars_params_1C.m"
            
@#include "SS_Mod_1C.mod"  

// ######################################################################  
@#include "Equations_1C.mod"
// ######################################################################  

// ######################################################################
@#include "Init_Val_Mod_1C.mod"

resid(1);
steady;
check;

shocks;
var shock_epsi_a_t;
stderr tfp_shocksize;
end;


stoch_simul(order=1) Y_a_t C_a_t epsi_a_t N_a_t I_a_t pi_cpi_a_t Pen_a_t EM_cost_a_t ZZ_a_t R_a_t;
